<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Зал ученого совета"
	description="Зал ученого совета" fileName="NPCHall.jar" className="org.mati.npc.hall.Hall"
	version="8874" time="17.02.2009 01:05:19">

	<Group>Система голосования</Group>

	<!-- INLINKS -->
	<INLink name="InFaceComponent" description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="InHallManager" description="Связь с компонентами зала ученого совета"
		interfaceName="org.mati.npc.core.hall.HallManager" linksNumber="0"
		nullable="true">
	</INLink>
	<INLink name="READER" description="Входящая связь со считывателя"
		interfaceName="org.mati.npc.components.interfaces.ReaderListener"
		linksNumber="0" nullable="true">
	</INLink>
	<!-- OUTLINKS -->
	<OUTLink name="OutDBServiceContainer" description="Связь с сервисом базы данных."
		interfaceName="org.mati.npc.components.interfaces.DBSerivceContainer"
		linksNumber="1" nullable="false">
	</OUTLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="1024"
		nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" type="java.lang.Integer"
		defaultValue="768"
		nullable="false">
	</Attribute>
	<Attribute name="IndexImageBackgroundColor"
		description="Цвет фона индексной картинки, по умолчанию Белый" type="java.awt.Color"
		defaultValue="16777215"
		nullable="false">
	</Attribute>
	<Attribute name="IsAutoShowResult"
		description="Показывать ли результаты голосования автоматически по его окончанию"
		defaultValue="true"
		type="java.lang.Boolean" nullable="false">
	</Attribute>

</ClassComponent>
